# Input

### Is Mouse Hovering Rectangle (bool) :

```lua
Input.IsMouseHoveringRect(pos: Vector2, size: Vector2)
```

### Get Mouse Position (Vec2) :

```lua
Input.GetMousePosition()
```

### Set Mouse Position (function) :

```lua
Input.SetMousePosition(pos: Vector2)
```

### Is Any Key Pressed (bool) :

```lua
Input.IsAnyKeyPressed()
```

### Is Key Pressed (bool) :

```lua
Input.IsKeyPressed(key: KeyEnum)
```

### Is Key Held (bool) :

```lua
Input.IsKeyHeld(key: KeyEnum)
```

### Set Cursor Style (function) :

<pre class="language-lua"><code class="lang-lua"><strong>Input.SetCursorStyle(style: CursorStyle)
</strong></code></pre>

### Get Cursor Style (CursorStyle) :

```lua
Input.GetCursorStyle()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://edwn.gitbook.io/documentation/documentation/api-reference/tables/input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
